Skip to main content
GET
/
products
/
inventory
List Inventory
curl --request GET \
  --url https://services.leadconnectorhq.com/products/inventory \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "inventory": [
    {
      "_id": "6241712be68f7a98102ba272",
      "name": "Medium T-shirt",
      "availableQuantity": 50,
      "sku": "TSHIRT-MED-001",
      "allowOutOfStockPurchases": false,
      "product": "6241712be68f7a98102ba270",
      "updatedAt": "2023-12-12T09:27:42.355Z",
      "image": "https://example.com/images/product.jpg",
      "productName": "T-shirt"
    }
  ],
  "total": {
    "total": 100
  }
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Query Parameters

limit
number
default:0

The maximum number of items to be included in a single page of results

Example:

20

offset
number
default:0

The starting index of the page, indicating the position from which the results should be retrieved.

Example:

0

altId
string
required

Location Id or Agency Id

Example:

"6578278e879ad2646715ba9c"

altType
enum<string>
required
Available options:
location

Search string for Variant Search

Example:

"Product Name"

trackInventory
boolean

Filter by track inventory status

Example:

true

allowOutOfStockPurchases
boolean

Filter by allow out of stock purchases status

Example:

true

isDigitalProduct
boolean

Filter by digital product status

Example:

false

availableQuantityFrom
number

Filter by minimum available quantity

Example:

10

availableQuantityTo
number

Filter by maximum available quantity

Example:

100

collectionIds
string

Filter by collection IDs (comma-separated)

Example:

"64a1b2c3d4e5f6789abcdef0,64a1b2c3d4e5f6789abcdef1"

Response

Successful response

inventory
object[]
required

List of inventory items

total
object
required

Total count of inventory items

Example:
{ "total": 100 }
Last modified on March 4, 2026